VanillaSwap::arguments Class Reference

Arguments for simple swap calculation More...

`#include <ql/instruments/vanillaswap.hpp>`

Inheritance diagram for VanillaSwap::arguments:
[legend]

## Public Member Functions

void | validate () const

## Public Attributes

Type | type
Real | nominal
std::vector< Date > | fixedResetDates
std::vector< Date > | fixedPayDates
std::vector< Time > | floatingAccrualTimes
std::vector< Date > | floatingResetDates
std::vector< Date > | floatingFixingDates
std::vector< Date > | floatingPayDates
std::vector< Real > | fixedCoupons
std::vector< Spread > | floatingSpreads
std::vector< Real > | floatingCoupons

## Detailed Description

Arguments for simple swap calculation